Soporte Debian Lenny [Solucionado]

Mi consulta en el día de hoy va apuntada a que tengo un server muy viejito corriendo con muchas tareas criticas como 6 sistemas online con posgreSQL Apache y Ruby 1.8 que migrarlo seria un dolor de cabezas bastante amplio (todo esto en Lenny)

Ahora la pregunta, Lenny a dejado de tener soporte?????
Se me dio por tirar un APT y los resoltados fueron para asustarse

W: Failed to fetch http://ftp.br.debian.org/debian/dists/lenny/main/binary-amd64/Packages  404 Not Found [IP: 200.236.31.3 80]

W: Failed to fetch http://ftp.cica.es/debian/dists/lenny/main/binary-amd64/Packages  404 Not Found [IP: 150.214.5.134 80]

W: Failed to fetch http://mmc.geofisica.unam.mx/debian/dists/lenny/main/binary-amd64/Packag...  404 Not Found

W: Failed to fetch http://ftp.br.debian.org/debian/dists/lenny/contrib/binary-amd64/Package...  404 Not Found [IP: 200.236.31.3 80]

W: Failed to fetch http://security.debian.org/dists/lenny/updates/main/binary-amd64/Package...  404 Not Found [IP: 128.101.240.212 80]

W: Failed to fetch http://ftp.de.debian.org/debian/dists/lenny/main/binary-amd64/Packages  404 Not Found

W: Failed to fetch http://ftp.cica.es/debian/dists/lenny/contrib/binary-amd64/Packages  404 Not Found [IP: 150.214.5.134 80]

W: Failed to fetch http://ftp.mx.debian.org/debian/dists/lenny/main/binary-amd64/Packages  404 Not Found

W: Failed to fetch http://ftp.debian.org/debian/dists/lenny/main/binary-amd64/Packages  404 Not Found [IP: 130.89.148.12 80]

W: Failed to fetch http://ftp.br.debian.org/debian/dists/lenny/non-free/binary-amd64/Packag...  404 Not Found [IP: 200.236.31.3 80]

W: Failed to fetch http://www.backports.org/debian/dists/lenny-backports/main/binary-amd64/...  301 Moved Permanently [IP: 206.12.19.9 80]

W: Failed to fetch http://ftp.de.debian.org/debian/dists/lenny/contrib/binary-amd64/Package...  404 Not Found

W: Failed to fetch http://ftp.cica.es/debian/dists/lenny/non-free/binary-amd64/Packages  404 Not Found [IP: 150.214.5.134 80]

W: Failed to fetch http://ftp.debian.org/debian/dists/lenny/non-free/binary-amd64/Packages  404 Not Found [IP: 130.89.148.12 80]

W: Failed to fetch http://www.backports.org/debian/dists/lenny-backports/contrib/binary-amd...  301 Moved Permanently [IP: 206.12.19.9 80]

W: Failed to fetch http://ftp.de.debian.org/debian/dists/lenny/non-free/binary-amd64/Packag...  404 Not Found

W: Failed to fetch http://ftp.debian.org/debian/dists/lenny/contrib/binary-amd64/Packages  404 Not Found [IP: 130.89.148.12 80]

W: Failed to fetch http://www.backports.org/debian/dists/lenny-backports/non-free/binary-am...  301 Moved Permanently [IP: 206.12.19.9 80]

W: Failed to fetch http://ftp.rediris.es/debian/dists/lenny/main/binary-amd64/Packages  404 Not Found

W: Failed to fetch http://ftp.rediris.es/debian/dists/lenny/contrib/binary-amd64/Packages  404 Not Found

W: Failed to fetch http://ftp.rediris.es/debian/dists/lenny/non-free/binary-amd64/Packages  404 Not Found

Saludos Atte.

http://archive.debian.org/debian/README
la que queda es
http://archive.debian.org/debian/
deb http://archive.debian.org/debian/ lenny main contrib non-free
hasta hace unos dias se anunciaba el 5.10 aca http://ftp.debian.org/debian/ y sujeria cambiar los repos como esta mas arriba por el archive
ahora esta aca http://www.debian.org/releases/lenny/
y se movio el installer a archive http://www.debian.org/releases/lenny/debian-installer/

se supone que todo va a parar al achivo asi que si sale algun update, cambiara en el archivo y seguira actualizandose, eso supongo, tengo un lenny en una vm, pq usa menos recurzos que squeeze

Alambre, como siempre, tenes las palabras justas, excelente muchas gracias y muy atento

Saludos

Una duda mas Security y volatile también pasaron a archive?

segun http://www.debian.org/releases/lenny/ el security se discontinuo el 6 de febrero, pero el directorio http://archive.debian.org/debian-security/dists/ se creo/modifico el 24 de marzo eyebrows y de volatile, no se, supongo tambien, se creo el 24 de marzo http://archive.debian.org/debian-volatile/dists/ la verdad no se como funcionan,
yo la verdad el lenny que tengo no lo actualizo, pero hace unos dias, al updatearlo, para probar el apt-cacher-ng le di updatear y vi muchos fallas, y la verdad solo deje el de mas arriba, los otros los comente, por el razonamiento anterior,

Acabo de hacer lo mismo :D